// Borland C++ Builder
// Copyright (c) 1995, 1998 by Borland International
// All rights reserved

// (DO NOT EDIT: machine generated header) 'RTFList.pas' rev: 3.00

#ifndef RTFListHPP
#define RTFListHPP
#include <VBaseExport.hpp>
#include <Windows.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <SysInit.hpp>
#include <System.hpp>

//-- user supplied -----------------------------------------------------------

namespace Rtflist
{
//-- type declarations -------------------------------------------------------
class DELPHICLASS TRTFHeader;
class PASCALIMPLEMENTATION TRTFHeader : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	int FDefaultFont;
	int FVersion;
	int FDefaultTab;
	System::AnsiString FCode;
	void __fastcall SetCode(const System::AnsiString Value);
	void __fastcall SetDefaultFont(const int Value);
	void __fastcall SetDefaultTab(const int Value);
	void __fastcall SetVersion(const int Value);
	int __fastcall GetSize(void);
	
public:
	__fastcall TRTFHeader(int AVersion, const System::AnsiString ACode, int ADefaultFont, int ADefaultTab
		);
	__property int Version = {read=FVersion, write=SetVersion, nodefault};
	__property System::AnsiString Code = {read=FCode, write=SetCode};
	__property int DefaultFont = {read=FDefaultFont, write=SetDefaultFont, nodefault};
	__property int DefaultTab = {read=FDefaultTab, write=SetDefaultTab, nodefault};
	__property int Size = {read=GetSize, nodefault};
public:
	/* TObject.Destroy */ __fastcall virtual ~TRTFHeader(void) { }
	
};

class DELPHICLASS TRTFFontTableItem;
class PASCALIMPLEMENTATION TRTFFontTableItem : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	int FFontNumber;
	System::AnsiString FFontFamily;
	System::AnsiString FFontName;
	void __fastcall SetFontFamily(const System::AnsiString Value);
	void __fastcall SetFontName(const System::AnsiString Value);
	void __fastcall SetFontNumber(const int Value);
	int __fastcall GetSize(void);
	System::AnsiString __fastcall GetAsText();
	
public:
	__fastcall TRTFFontTableItem(int ANumber, const System::AnsiString AFamily, const System::AnsiString 
		AName);
	__property int FontNumber = {read=FFontNumber, write=SetFontNumber, nodefault};
	__property System::AnsiString FontFamily = {read=FFontFamily, write=SetFontFamily};
	__property System::AnsiString FontName = {read=FFontName, write=SetFontName};
	__property int Size = {read=GetSize, nodefault};
	__property System::AnsiString AsText = {read=GetAsText};
public:
	/* TObject.Destroy */ __fastcall virtual ~TRTFFontTableItem(void) { }
	
};

class DELPHICLASS TRTFFontTable;
class PASCALIMPLEMENTATION TRTFFontTable : public Classes::TList 
{
	typedef Classes::TList inherited;
	
private:
	void __fastcall FreeAll(void);
	TRTFFontTableItem* __fastcall GetFontItems(int index);
	void __fastcall SetFontItems(int index, const TRTFFontTableItem* Value);
	int __fastcall GetSize(void);
	
public:
	__fastcall virtual ~TRTFFontTable(void);
	int __fastcall GetFontIndexByName(const System::AnsiString FontName);
	__property TRTFFontTableItem* FontItems[int index] = {read=GetFontItems, write=SetFontItems/*, default
		*/};
	__property int Size = {read=GetSize, nodefault};
	int __fastcall GetNextNumber(void);
public:
	/* TObject.Create */ __fastcall TRTFFontTable(void) : Classes::TList() { }
	
};

class DELPHICLASS TRTFColorTableItem;
class PASCALIMPLEMENTATION TRTFColorTableItem : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	int FRed;
	int FGreen;
	int FBlue;
	int __fastcall GetSize(void);
	System::AnsiString __fastcall GetAsText();
	Graphics::TColor __fastcall GetColor(void);
	
public:
	__fastcall TRTFColorTableItem(Graphics::TColor Color);
	__fastcall TRTFColorTableItem(int ARed, int AGreen, int ABlue);
	__property int Red = {read=FRed, write=FRed, nodefault};
	__property int Green = {read=FGreen, write=FGreen, nodefault};
	__property int Blue = {read=FBlue, write=FBlue, nodefault};
	__property Graphics::TColor Color = {read=GetColor, nodefault};
	__property System::AnsiString AsText = {read=GetAsText};
	__property int Size = {read=GetSize, nodefault};
public:
	/* TObject.Destroy */ __fastcall virtual ~TRTFColorTableItem(void) { }
	
};

class DELPHICLASS TRTFColorTable;
class PASCALIMPLEMENTATION TRTFColorTable : public Classes::TList 
{
	typedef Classes::TList inherited;
	
private:
	void __fastcall FreeAll(void);
	TRTFColorTableItem* __fastcall GetColors(int index);
	void __fastcall SetColors(int index, const TRTFColorTableItem* Value);
	int __fastcall GetSize(void);
	int __fastcall GetColorIndex(Graphics::TColor Color);
	
public:
	__fastcall virtual ~TRTFColorTable(void);
	__property TRTFColorTableItem* Colors[int index] = {read=GetColors, write=SetColors/*, default*/};
	__property int Size = {read=GetSize, nodefault};
	int __fastcall GetNextNumber(void);
public:
	/* TObject.Create */ __fastcall TRTFColorTable(void) : Classes::TList() { }
	
};

class DELPHICLASS TRTF;
class PASCALIMPLEMENTATION TRTF : public Vbaseexport::TVExportStream 
{
	typedef Vbaseexport::TVExportStream inherited;
	
private:
	TRTFHeader* FHeader;
	TRTFFontTable* FontTable;
	TRTFColorTable* ColorTable;
	void __fastcall SetHeader(const TRTFHeader* Value);
	
public:
	__fastcall virtual TRTF(const System::AnsiString FileName);
	__fastcall virtual ~TRTF(void);
	void __fastcall NewPara(void);
	void __fastcall WriteHeader(void);
	void __fastcall WriteFontTable(void);
	void __fastcall WriteColorTable(void);
	void __fastcall AddFont(TRTFFontTableItem* AFont);
	void __fastcall AddColor(TRTFColorTableItem* AColor);
	void __fastcall SetFont(Graphics::TFont* Font, bool NeedWrite, System::AnsiString &FontStr);
	System::AnsiString __fastcall GetFontText(Graphics::TFont* Font, bool Local);
	System::AnsiString __fastcall GetColorText(Graphics::TColor Color, bool Background);
	__property TRTFHeader* Header = {read=FHeader, write=SetHeader};
};

//-- var, const, procedure ---------------------------------------------------

}	/* namespace Rtflist */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Rtflist;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// RTFList
