// Borland C++ Builder
// Copyright (c) 1995, 1999 by Borland International
// All rights reserved

// (DO NOT EDIT: machine generated header) 'VLaTeXExport.pas' rev: 4.00

#ifndef VLaTeXExportHPP
#define VLaTeXExportHPP

#pragma delphiheader begin
#pragma option push -w-
#include <Db.hpp>	// Pascal unit
#include <VBaseExport.hpp>	// Pascal unit
#include <Graphics.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <SysUtils.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Vlatexexport
{
//-- type declarations -------------------------------------------------------
#pragma option push -b-
enum TLaTeXVersion { LaTeX209, LaTeX2e };
#pragma option pop

#pragma option push -b-
enum TDocumentStyle { dsArticle, dsBook };
#pragma option pop

class DELPHICLASS TLaTeX;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TLaTeX : public System::TObject 
{
	typedef System::TObject inherited;
	
private:
	TextFile f;
	
public:
	__fastcall TLaTeX(const AnsiString FileName);
	__fastcall virtual ~TLaTeX(void);
	void __fastcall StrWrite(const AnsiString s);
	void __fastcall StrWriteln(const AnsiString s);
	void __fastcall UsePackage(const AnsiString APackage, const AnsiString Options);
	void __fastcall EmptyLine(void);
	void __fastcall NewLine(void);
	void __fastcall HLine(void);
	void __fastcall BeginEnv(const AnsiString Environment, const AnsiString Params);
	void __fastcall EndEnv(const AnsiString Environment);
};

#pragma pack(pop)

class DELPHICLASS TLaTeXOptions;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TLaTeXOptions : public Classes::TPersistent 
{
	typedef Classes::TPersistent inherited;
	
private:
	TDocumentStyle FDocumentStyle;
	AnsiString FDocumentParams;
	TLaTeXVersion FLaTeXVersion;
	AnsiString FLanguages;
	int FCodePage;
	void __fastcall SetDocumentParams(const AnsiString Value);
	void __fastcall SetDocumentStyle(const TDocumentStyle Value);
	void __fastcall SetLaTeXVersion(const TLaTeXVersion Value);
	void __fastcall SetLanguages(const AnsiString Value);
	void __fastcall SetCodePage(const int Value);
	
public:
	virtual void __fastcall Assign(Classes::TPersistent* Source);
	
__published:
	__property TLaTeXVersion LaTeXVersion = {read=FLaTeXVersion, write=SetLaTeXVersion, default=1};
	__property TDocumentStyle DocumentStyle = {read=FDocumentStyle, write=SetDocumentStyle, default=0};
		
	__property AnsiString DocumentParams = {read=FDocumentParams, write=SetDocumentParams};
	__property int CodePage = {read=FCodePage, write=SetCodePage, nodefault};
	__property AnsiString Languages = {read=FLanguages, write=SetLanguages};
public:
	#pragma option push -w-inl
	/* TPersistent.Destroy */ inline __fastcall virtual ~TLaTeXOptions(void) { }
	#pragma option pop
	
public:
	#pragma option push -w-inl
	/* TObject.Create */ inline __fastcall TLaTeXOptions(void) : Classes::TPersistent() { }
	#pragma option pop
	
};

#pragma pack(pop)

class DELPHICLASS TVLaTeXExport;
#pragma pack(push, 4)
class PASCALIMPLEMENTATION TVLaTeXExport : public Vbaseexport::TVExport 
{
	typedef Vbaseexport::TVExport inherited;
	
private:
	TLaTeX* LaTeX;
	Classes::TStrings* FPreambula;
	TLaTeXOptions* FLaTeXOptions;
	void __fastcall SetPreambula(const Classes::TStrings* Value);
	void __fastcall SetLaTeXOptions(const TLaTeXOptions* Value);
	
protected:
	virtual void __fastcall Abort(void);
	virtual AnsiString __fastcall NormalString(const AnsiString str);
	__property ColumnsCaptions ;
	
public:
	__fastcall virtual TVLaTeXExport(Classes::TComponent* AOwner);
	__fastcall virtual ~TVLaTeXExport(void);
	virtual bool __fastcall Execute(void);
	
__published:
	__property TLaTeXOptions* LaTeXOptions = {read=FLaTeXOptions, write=SetLaTeXOptions};
	__property Classes::TStrings* Preambula = {read=FPreambula, write=SetPreambula};
	__property FileName ;
	__property Dataset ;
	__property UserFormats ;
	__property Formats ;
	__property Captions ;
	__property Header ;
	__property Footer ;
	__property ShowFile ;
	__property ColHeaders ;
	__property OnRecordExported ;
	__property OnBeginExport ;
	__property OnEndExport ;
	__property OnStopExport ;
	__property OnGetExportText ;
};

#pragma pack(pop)

//-- var, const, procedure ---------------------------------------------------

}	/* namespace Vlatexexport */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Vlatexexport;
#endif
#pragma option pop	// -w-

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// VLaTeXExport
